SUSE SLED12 / SLES12 Security Update : mutt (SUSE-SU-2018:2084-1)

High Nessus Plugin ID 111435

Synopsis

The remote SUSE host is missing one or more security updates.

Description

This update for mutt fixes the following issues: Security issues fixed :

- bsc#1101428: Mutt 1.10.1 security release update.

- CVE-2018-14351: Fix imap/command.c that mishandles long IMAP status mailbox literal count size (bsc#1101583).

- CVE-2018-14353: Fix imap_quote_string in imap/util.c that has an integer underflow (bsc#1101581).

- CVE-2018-14362: Fix pop.c that does not forbid characters that may have unsafe interaction with message-cache pathnames (bsc#1101567).

- CVE-2018-14354: Fix arbitrary command execution from remote IMAP servers via backquote characters (bsc#1101578).

- CVE-2018-14352: Fix imap_quote_string in imap/util.c that does not leave room for quote characters (bsc#1101582).

- CVE-2018-14356: Fix pop.c that mishandles a zero-length UID (bsc#1101576).

- CVE-2018-14355: Fix imap/util.c that mishandles '..' directory traversal in a mailbox name (bsc#1101577).

- CVE-2018-14349: Fix imap/command.c that mishandles a NO response without a message (bsc#1101589).

- CVE-2018-14350: Fix imap/message.c that has a stack-based buffer overflow for a FETCH response with along INTERNALDATE field (bsc#1101588).

- CVE-2018-14363: Fix newsrc.c that does not properlyrestrict '/' characters that may have unsafe interaction with cache pathnames (bsc#1101566).

- CVE-2018-14359: Fix buffer overflow via base64 data (bsc#1101570).

- CVE-2018-14358: Fix imap/message.c that has a stack-based buffer overflow for a FETCH response with along RFC822.SIZE field (bsc#1101571).

- CVE-2018-14360: Fix nntp_add_group in newsrc.c that has a stack-based buffer overflow because of incorrect sscanf usage (bsc#1101569).

- CVE-2018-14357: Fix that remote IMAP servers are allowed to execute arbitrary commands via backquote characters (bsc#1101573).

- CVE-2018-14361: Fix that nntp.c proceeds even if memory allocation fails for messages data (bsc#1101568). Bug fixes :

- mutt reports as neomutt and incorrect version (bsc#1094717)

- No sidebar available in mutt 1.6.1 from Tumbleweed snapshot 20160517 (bsc#980830)

- mutt-1.6.1 unusable when built with --enable-sidebar (bsc#982129)

- (neo)mutt displaying times in Zulu time (bsc#1061343)

- mutt unconditionally segfaults when displaying a message (bsc#986534)

Note that Tenable Network Security has extracted the preceding description block directly from the SUSE security advisory. Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.

Solution

To install this SUSE Security Update use the SUSE recommended installation methods like YaST online_update or 'zypper patch'.

Alternatively you can run the command listed for your product :

SUSE Linux Enterprise Server 12-SP3:zypper in -t patch SUSE-SLE-SERVER-12-SP3-2018-1415=1

SUSE Linux Enterprise Desktop 12-SP3:zypper in -t patch SUSE-SLE-DESKTOP-12-SP3-2018-1415=1

See Also

https://bugzilla.suse.com/show_bug.cgi?id=1061343

https://bugzilla.suse.com/show_bug.cgi?id=1094717

https://bugzilla.suse.com/show_bug.cgi?id=1101428

https://bugzilla.suse.com/show_bug.cgi?id=1101566

https://bugzilla.suse.com/show_bug.cgi?id=1101567

https://bugzilla.suse.com/show_bug.cgi?id=1101568

https://bugzilla.suse.com/show_bug.cgi?id=1101569

https://bugzilla.suse.com/show_bug.cgi?id=1101570

https://bugzilla.suse.com/show_bug.cgi?id=1101571

https://bugzilla.suse.com/show_bug.cgi?id=1101573

https://bugzilla.suse.com/show_bug.cgi?id=1101576

https://bugzilla.suse.com/show_bug.cgi?id=1101577

https://bugzilla.suse.com/show_bug.cgi?id=1101578

https://bugzilla.suse.com/show_bug.cgi?id=1101581

https://bugzilla.suse.com/show_bug.cgi?id=1101582

https://bugzilla.suse.com/show_bug.cgi?id=1101583

https://bugzilla.suse.com/show_bug.cgi?id=1101588

https://bugzilla.suse.com/show_bug.cgi?id=1101589

https://bugzilla.suse.com/show_bug.cgi?id=980830

https://bugzilla.suse.com/show_bug.cgi?id=982129

https://bugzilla.suse.com/show_bug.cgi?id=986534

https://www.suse.com/security/cve/CVE-2014-9116/

https://www.suse.com/security/cve/CVE-2018-14349/

https://www.suse.com/security/cve/CVE-2018-14350/

https://www.suse.com/security/cve/CVE-2018-14351/

https://www.suse.com/security/cve/CVE-2018-14352/

https://www.suse.com/security/cve/CVE-2018-14353/

https://www.suse.com/security/cve/CVE-2018-14354/

https://www.suse.com/security/cve/CVE-2018-14355/

https://www.suse.com/security/cve/CVE-2018-14356/

https://www.suse.com/security/cve/CVE-2018-14357/

https://www.suse.com/security/cve/CVE-2018-14358/

https://www.suse.com/security/cve/CVE-2018-14359/

https://www.suse.com/security/cve/CVE-2018-14360/

https://www.suse.com/security/cve/CVE-2018-14361/

https://www.suse.com/security/cve/CVE-2018-14362/

https://www.suse.com/security/cve/CVE-2018-14363/

http://www.nessus.org/u?5830df6c

Plugin Details

Severity: High

ID: 111435

File Name: suse_SU-2018-2084-1.nasl

Version: 1.3

Type: local

Agent: unix

Published: 2018/07/30

Modified: 2018/12/01

Dependencies: 12634

Risk Information

Risk Factor: High

CVSS v2.0

Base Score: 7.5

Temporal Score: 6.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:ND/RL:OF/RC:C

CVSS v3.0

Base Score: 9.8

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Vulnerability Information

CPE: p-cpe:/a:novell:suse_linux:mutt, p-cpe:/a:novell:suse_linux:mutt-debuginfo, p-cpe:/a:novell:suse_linux:mutt-debugsource, cpe:/o:novell:suse_linux:12

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2018/07/27

Reference Information

CVE: CVE-2014-9116, CVE-2018-14349, CVE-2018-14350, CVE-2018-14351, CVE-2018-14352, CVE-2018-14353, CVE-2018-14354, CVE-2018-14355, CVE-2018-14356, CVE-2018-14357, CVE-2018-14358, CVE-2018-14359, CVE-2018-14360, CVE-2018-14361, CVE-2018-14362, CVE-2018-14363

BID: 71334